Upstream information

CVE-2023-42670 at MITRE

Description

A flaw was found in Samba. It is susceptible to a vulnerability where multiple incompatible RPC listeners can be initiated, causing disruptions in the AD DC service. When Samba's RPC server experiences a high load or unresponsiveness, servers intended for non-AD DC purposes (for example, NT4-emulation "classic DCs") can erroneously start and compete for the same unix domain sockets. This issue leads to partial query responses from the AD DC, causing issues such as "The procedure number is out of range" when using tools like Active Directory Users. This flaw allows an attacker to disrupt AD DC services.

Upstream Security Advisories:

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 6.5
Vector CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1215906 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES15-SP5-Azure-Basic
Image SLES15-SP5-Azure-Standard
Image SLES15-SP5-BYOS-Azure
Image SLES15-SP5-BYOS-EC2
Image SLES15-SP5-BYOS-GCE
Image SLES15-SP5-CHOST-BYOS-Aliyun
Image SLES15-SP5-CHOST-BYOS-Azure
Image SLES15-SP5-CHOST-BYOS-EC2
Image SLES15-SP5-CHOST-BYOS-GCE
Image SLES15-SP5-CHOST-BYOS-SAP-CCloud
Image SLES15-SP5-EC2
Image SLES15-SP5-GCE
Image SLES15-SP5-HPC-Azure
Image SLES15-SP5-HPC-BYOS-Azure
Image SLES15-SP5-HPC-BYOS-EC2
Image SLES15-SP5-HPC-BYOS-GCE
Image SLES15-SP5-Hardened-BYOS-Azure
Image SLES15-SP5-Hardened-BYOS-EC2
Image SLES15-SP5-Hardened-BYOS-GCE
  • samba-client-libs >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
Image SLES15-SP5-SAP-Azure-LI-BYOS
Image SLES15-SP5-SAP-Azure-LI-BYOS-Production
Image SLES15-SP5-SAP-Azure-VLI-BYOS
Image SLES15-SP5-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP5-SAP-BYOS-Azure
Image SLES15-SP5-SAP-BYOS-EC2
Image SLES15-SP5-SAP-BYOS-GCE
Image SLES15-SP5-SAP-Hardened-Azure
Image SLES15-SP5-SAP-Hardened-BYOS-Azure
Image SLES15-SP5-SAP-Hardened-BYOS-EC2
Image SLES15-SP5-SAP-Hardened-BYOS-GCE
Image SLES15-SP5-SAP-Hardened-GCE
  • ctdb >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-client-libs >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-libs >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
Image SLES15-SP5-SAPCAL-Azure
Image SLES15-SP5-SAPCAL-EC2
Image SLES15-SP5-SAPCAL-GCE
  • samba >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-client >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-client-libs >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-libs >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Basesystem 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • libsamba-policy-devel >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • libsamba-policy-python3-devel >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • libsamba-policy0-python3 >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-ceph >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-client >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-client-libs >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-client-libs-32bit >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-devel >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-gpupdate >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-ldb-ldap >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-libs >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-libs-32bit >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-libs-python3 >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-python3 >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-tool >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-winbind >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-winbind-libs >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-winbind-libs-32bit >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP5-2023-4046
SUSE Linux Enterprise High Availability Extension 15 SP5
  • ctdb >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
Patchnames:
SUSE-SLE-Product-HA-15-SP5-2023-4046
SUSE Linux Enterprise Micro 5.5
  • samba-client-libs >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
Patchnames:
SUSE-SLE-Micro-5.5-2023-4046
SUSE Linux Enterprise Micro 6.0
  • samba-client-libs >= 4.19.4+git.339.acf1ccaa02-1.22
Patchnames:
SUSE Linux Enterprise Micro 6.0 GA samba-client-libs-4.19.4+git.339.acf1ccaa02-1.22
openSUSE Leap 15.5
  • ctdb >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • ctdb-pcp-pmda >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • libsamba-policy-devel >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • libsamba-policy-python3-devel >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • libsamba-policy0-python3 >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • libsamba-policy0-python3-32bit >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-ceph >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-client >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-client-32bit >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-client-libs >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-client-libs-32bit >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-devel >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-devel-32bit >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-doc >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-gpupdate >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-ldb-ldap >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-libs >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-libs-32bit >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-libs-python3 >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-libs-python3-32bit >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-python3 >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-test >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-tool >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-winbind >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-winbind-libs >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
  • samba-winbind-libs-32bit >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
Patchnames:
openSUSE-SLE-15.5-2023-4046
openSUSE Leap Micro 5.5
  • samba-client-libs >= 4.17.9+git.421.abde31ca5c2-150500.3.11.1
Patchnames:
openSUSE-Leap-Micro-5.5-2023-4046
openSUSE Tumbleweed
  • ctdb >= 4.19.1+git.312.c912b3d2ef6-1.1
  • ctdb-pcp-pmda >= 4.19.1+git.312.c912b3d2ef6-1.1
  • libsamba-policy-devel >= 4.19.1+git.312.c912b3d2ef6-1.1
  • libsamba-policy-python3-devel >= 4.19.1+git.312.c912b3d2ef6-1.1
  • libsamba-policy0-python3 >= 4.19.1+git.312.c912b3d2ef6-1.1
  • libsamba-policy0-python3-32bit >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-ad-dc >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-ad-dc-libs >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-ad-dc-libs-32bit >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-ceph >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-client >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-client-32bit >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-client-libs >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-client-libs-32bit >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-devel >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-devel-32bit >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-doc >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-dsdb-modules >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-gpupdate >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-ldb-ldap >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-libs >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-libs-32bit >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-libs-python3 >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-libs-python3-32bit >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-python3 >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-test >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-tool >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-winbind >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-winbind-libs >= 4.19.1+git.312.c912b3d2ef6-1.1
  • samba-winbind-libs-32bit >= 4.19.1+git.312.c912b3d2ef6-1.1
Patchnames:
openSUSE-Tumbleweed-2024-13332


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 samba Not affected
SUSE Linux Enterprise Desktop 15 SP5 samba Released
SUSE Linux Enterprise Desktop 15 SP6 samba Already fixed
SUSE Linux Enterprise High Availability Extension 12 SP5 samba Not affected
SUSE Linux Enterprise High Availability Extension 15 SP5 samba Released
SUSE Linux Enterprise High Availability Extension 15 SP6 samba Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 samba Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 samba Released
SUSE Linux Enterprise High Performance Computing 15 SP6 samba Already fixed
SUSE Linux Enterprise Micro 5.2 samba Not affected
SUSE Linux Enterprise Micro 5.3 samba Not affected
SUSE Linux Enterprise Micro 5.4 samba Not affected
SUSE Linux Enterprise Micro 5.5 samba Released
SUSE Linux Enterprise Micro for Rancher 5.5 samba Released
SUSE Linux Enterprise Module for Basesystem 15 SP5 samba Released
SUSE Linux Enterprise Module for Basesystem 15 SP6 samba Already fixed
SUSE Linux Enterprise Server 12 SP5 samba Not affected
SUSE Linux Enterprise Server 15 SP5 samba Released
SUSE Linux Enterprise Server 15 SP6 samba Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 samba Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 samba Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 samba Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP5 samba Not affected
SUSE Manager Proxy 4.3 samba Not affected
SUSE Manager Retail Branch Server 4.3 samba Not affected
SUSE Manager Server 4.3 samba Not affected
openSUSE Leap 15.5 samba Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 samba Not affected
SUSE Linux Enterprise High Availability Extension 15 SP2 samba Not affected
SUSE Linux Enterprise High Availability Extension 15 SP3 samba Not affected
SUSE Linux Enterprise High Availability Extension 15 SP4 samba Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 samba Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS samba Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS samba Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 samba Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS samba Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS samba Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 samba Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS samba Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS samba Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 samba Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 samba Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 samba Not affected
SUSE Linux Enterprise Module for Python 2 15 SP2 samba Not affected
SUSE Linux Enterprise Module for Python 2 15 SP3 samba Not affected
SUSE Linux Enterprise Server 15 SP2 samba Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS samba Not affected
SUSE Linux Enterprise Server 15 SP3 samba Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS samba Not affected
SUSE Linux Enterprise Server 15 SP4 samba Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS samba Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 samba Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 samba Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 samba Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 samba Not affected
SUSE CaaS Platform 4.0 samba Not affected
SUSE Enterprise Storage 5 samba Not affected
SUSE Enterprise Storage 6 samba Not affected
SUSE Enterprise Storage 7 samba Not affected
SUSE Linux Enterprise Desktop 11 SP4 samba Not affected
SUSE Linux Enterprise Desktop 12 SP1 samba Not affected
SUSE Linux Enterprise Desktop 12 SP2 samba Not affected
SUSE Linux Enterprise Desktop 12 SP3 samba Not affected
SUSE Linux Enterprise Desktop 12 SP4 samba Not affected
SUSE Linux Enterprise Desktop 15 samba Not affected
SUSE Linux Enterprise Desktop 15 SP1 samba Not affected
SUSE Linux Enterprise Desktop 15 SP2 samba Not affected
SUSE Linux Enterprise Desktop 15 SP3 samba Not affected
SUSE Linux Enterprise High Availability Extension 12 SP1 samba Not affected
SUSE Linux Enterprise High Availability Extension 12 SP2 samba Not affected
SUSE Linux Enterprise High Availability Extension 12 SP3 samba Not affected
SUSE Linux Enterprise High Availability Extension 12 SP4 samba Not affected
SUSE Linux Enterprise High Availability Extension 15 samba Not affected
SUSE Linux Enterprise High Availability Extension 15 SP1 samba Not affected
SUSE Linux Enterprise High Performance Computing 15 samba Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 samba Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS samba Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS samba Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS samba Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS samba Not affected
SUSE Linux Enterprise Module for Basesystem 15 samba Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 samba Not affected
SUSE Linux Enterprise Module for Package Hub 15 samba Not affected
SUSE Linux Enterprise Module for Python 2 15 SP1 samba Not affected
SUSE Linux Enterprise Real Time 15 SP2 samba Not affected
SUSE Linux Enterprise Real Time 15 SP3 samba Not affected
SUSE Linux Enterprise Real Time 15 SP4 samba Not affected
SUSE Linux Enterprise Server 11 SP3 samba Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS samba Not affected
SUSE Linux Enterprise Server 11 SP4 samba Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS samba Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS samba Not affected
SUSE Linux Enterprise Server 12 SP1 samba Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS samba Not affected
SUSE Linux Enterprise Server 12 SP2 samba Not affected
SUSE Linux Enterprise Server 12 SP2-BCL samba Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS samba Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS samba Not affected
SUSE Linux Enterprise Server 12 SP3 samba Not affected
SUSE Linux Enterprise Server 12 SP3-BCL samba Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS samba Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS samba Not affected
SUSE Linux Enterprise Server 12 SP4 samba Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS samba Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS samba Not affected
SUSE Linux Enterprise Server 15 samba Not affected
SUSE Linux Enterprise Server 15 SP1 samba Not affected
SUSE Linux Enterprise Server 15 SP1-BCL samba Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS samba Not affected
SUSE Linux Enterprise Server 15 SP2-BCL samba Not affected
SUSE Linux Enterprise Server 15 SP3-BCL samba Not affected
SUSE Linux Enterprise Server 15-LTSS samba Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 samba Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 samba Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 samba Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 samba Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 samba Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 samba Not affected
SUSE Linux Enterprise Server for SAP Applications 15 samba Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 samba Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 samba Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 samba Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 samba Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 samba Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 samba Not affected
SUSE Manager Proxy 4.0 samba Not affected
SUSE Manager Proxy 4.1 samba Not affected
SUSE Manager Proxy 4.2 samba Not affected
SUSE Manager Retail Branch Server 4.0 samba Not affected
SUSE Manager Retail Branch Server 4.1 samba Not affected
SUSE Manager Retail Branch Server 4.2 samba Not affected
SUSE Manager Server 4.0 samba Not affected
SUSE Manager Server 4.1 samba Not affected
SUSE Manager Server 4.2 samba Not affected
SUSE OpenStack Cloud 7 samba Not affected
SUSE OpenStack Cloud 8 samba Not affected
SUSE OpenStack Cloud 9 samba Not affected
SUSE OpenStack Cloud Crowbar 8 samba Not affected
SUSE OpenStack Cloud Crowbar 9 samba Not affected


SUSE Timeline for this CVE

CVE page created: Tue Oct 3 15:30:16 2023
CVE page last modified: Mon Jun 17 11:44:04 2024